> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/importer-des-fichiers-avec-lapi-geopard.md).

# Importer des fichiers avec l’API GeoPard

{% hint style="success" %}
L’approche recommandée pour les fichiers de plus de 6 Mo est le [flux d’URL pré-signée](/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/55.-importer-des-fichiers-zip-plus-de-6-mo.md).
{% endhint %}

L’API GeoPard permet de téléverser des archives zip contenant des jeux de données sol/rendement/appliqué/limite pour un traitement et des analyses ultérieurs.

{% hint style="danger" %}
En raison d’une limitation AWS, la taille maximale de fichier que vous pouvez téléverser via ce point de terminaison REST est de 6 Mo.
{% endhint %}

Les étapes de téléversement pour les fichiers de plus de 6 Mo sont décrites dans [Téléverser des fichiers zip (plus de 6 Mo)](/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/55.-importer-des-fichiers-zip-plus-de-6-mo.md).

Juste après le téléversement réussi du jeu de données sol/rendement/appliqué, le moteur GeoPard le relie aux parcelles correspondantes situées dans l’exploitation définie.

Juste après le téléversement réussi de la limite, le moteur GeoPard lance son traitement.

La réponse contient un `<uuid>` que vous pouvez utiliser pour suivre l’état du traitement.

#### Exemple de requête :

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

Les paramètres sont :

1. `<type>` - type du jeu de données téléversé. Il doit être `yield` OU `soil` OU `applied` OU `boundary`.
2. `<farm_uuid>` - le `uuid` de l’exploitation où le fichier sera téléversé (facultatif).
3. `<token>` - jeton d’accès GeoPard.
4. `@path/to/file.zip` - le chemin vers le fichier en cours de téléversement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/importer-des-fichiers-avec-lapi-geopard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
